#include <iostream>
#include <vector>

using namespace std;

int main()
{
    int n,m;
    cin >> n >> m;
    vector<int> a(n,0);
    vector<int> b(m,0);
    for(int i=0; i<n; i++)
        {
            cin >> a[i];
            if(a[i]!=m)
                for(int j=0; j<a[i]; j++)
                b[j]++;
        }
    int s=0;
    for(int i=0; i<m; i++)
        s+= b[i]*(n-b[i]);
    cout << s;

    return 0;
}